Summary: GNOME screen reader
Name: gnopernicus
Version: 0.9.12
Release: 1
License: LGPL
Group: Desktop/Accessibility
URL: http://www.baum.ro/gnopernicus.html
Source: http://ftp.gnome.org/pub/GNOME/sources/gnopernicus/0.9/gnopernicus-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: gtk2-devel
BuildRequires: gnome-mag-devel >= 0.11.2
BuildRequires: gnome-speech-devel
BuildRequires: intltool
BuildRequires: GConf2-devel
BuildRequires: libgnome-devel
BuildRequires: libgnomeui-devel
BuildRequires: at-spi-devel
BuildRequires: scrollkeeper
BuildRequires: gettext
Requires(pre): /usr/bin/scrollkeeper-update
Requires(postun): /usr/bin/scrollkeeper-update
Requires: gnome-speech
Requires: gnome-mag >= 0.11.2
Requires: at-spi
Requires: libgail-gnome

%description
Screen magnifier and reader.

%prep
%setup -q

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL
%find_lang %{name}

# Not useful - this can be run via Preferences->Accessibility->Assistive Technology Support
rm -f $RPM_BUILD_ROOT%{_datadir}/applications/gnopernicus.desktop
rm -rf $RPM_BUILD_ROOT/var/scrollkeeper
find $RPM_BUILD_ROOT -name '*.la' | xargs rm -f

%clean
rm -rf $RPM_BUILD_ROOT

%post
/usr/bin/scrollkeeper-update
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
SCHEMAS="brlmonitor.schemas gnopernicus.schemas remote.schemas"
for S in $SCHEMAS; do
  gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/$S > /dev/null
done

%postun
/usr/bin/scrollkeeper-update

%files -f %{name}.lang
%defattr(-,root,root,0755)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_sysconfdir}/gconf/schemas/*schemas
%{_sysconfdir}/gnopernicus-1.0
%{_libexecdir}/brlmonitor
%{_bindir}/gnopernicus
%{_bindir}/srcore
%{_libdir}/gnopernicus-1.0
%{_libdir}/pkgconfig/*pc
%{_datadir}/gnome/help/brlmonitor
%{_datadir}/gnome/help/gnopernicus
%{_datadir}/gnopernicus
%{_datadir}/omf/gnopernicus
%{_datadir}/pixmaps/*png
%{_includedir}/gnopernicus-1.0

%changelog
* Fri Sep 03 2004 Colin Walters <walters@redhat.com> 0.9.12-1
- New upstream 0.9.12

* Fri Sep 03 2004 Colin Walters <walters@redhat.com> 0.9.11-1
- New upstream 0.9.11
- Kill off desktop file entirely (#132570).

* Fri Sep 03 2004 Colin Walters <walters@redhat.com> 0.9.10-3
- Use desktop-file-install to install .desktop file,
  move into Preferences->Accessibility (#131729).

* Thu Aug 31 2004 Colin Walters <walters@redhat.com> 0.9.10-2
- Fix license field to be LGPL
- Change description to "GNOME Screen reader"

* Thu Aug 31 2004 Colin Walters <walters@redhat.com> 0.9.10-1
- Update to 0.9.10

* Thu Aug 18 2004 Colin Walters <walters@redhat.com> 0.9.9-1
- Update to 0.9.9
- Remove compile patch
- Handle move of brlmon to /usr/libexec

* Thu Aug 12 2004 Colin Walters <walters@redhat.com> 0.9.8-2
- Fixes from Matthias Saou (matthias@rpmforge.net):
  - Change to description to a better one, matching other accessibility
  applications
  - Update URL to a better one
  - Add full source URL
  - Be more consistent about path usage (scrollkeeper-update and rm)
  - Add 755 default directory mode
  - Add documentation, including the mandatory copy of the GPL
  
* Wed Aug 04 2004 Colin Walters <walters@redhat.com> 0.9.8-1
- Update to 0.9.8
- Add backported patch from CVS to make it compile

* Fri Jul 09 2004 Colin Walters <walters@redhat.com> 0.9.5-1
- Update to 0.9.5

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue May 18 2004 Colin Walters <walters@redhat.com> 0.9.2-1
- Update to 0.9.2
- BuildRequire latest gnome-mag

* Sat Apr 10 2004 Warren Togami <wtogami@redhat.com> 0.8.1-2
- BR intltool GConf2-devel libgnome-devel libgnomeui-devel at-spi-devel 
  scrollkeeper gettext

* Wed Mar 31 2004 Mark McLoughlin <markmc@redhat.com> 0.8.1-1
- Update to 0.8.1

* Wed Mar 10 2004 Mark McLoughlin <markmc@redhat.com> 0.7.6-1
- Update to 0.7.6

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Feb 26 2004 Alexander Larsson <alexl@redhat.com> 0.7.5-1
- update to 0.7.5

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Sat Oct 18 2003 Florian La Roche <Florian.LaRoche@redhat.de>
- prereq scrollkeeper-update

* Thu Oct  2 2003 Jonathan Blandford <jrb@redhat.com> 0.7.0-1
- new version

* Fri Jul 18 2003 Jonathan Blandford <jrb@redhat.com>
- add some requires.

* Thu Jul 17 2003 root <jrb@dhcp64-232.boston.redhat.com> 0.3.4-1
- update to new version

* Fri May  9 2003 Jonathan Blandford <jrb@redhat.com> 
- Initial build.

